Bug 130989 - a bug in rh-postgresql.spec file
a bug in rh-postgresql.spec file
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: rh-postgresql (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-26 10:44 EDT by Lisa Lu
Modified: 2013-07-02 23:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-22 19:01:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lisa Lu 2004-08-26 10:44:55 EDT
Description of problem:
I encountered an parse error from "rh-postgresql.spec" while compiling
rh-postgresql 7.3.6-7 on a RHEL AS 2.1 machine.

Version-Release number of selected component (if applicable):


How reproducible:
rpmbuild -bc --define='tcl 0' rh-postgresql.spec

Steps to Reproduce:
1.
2.
3.
  
Actual results: Error: parse error on line 272 in rh-postgresql.spec file.

I located the error.  The original code on line 272 is 
              %if ! %{fedora}
I fixed it by doing the following
              %if !%{fedora}
I basically took out the space between the negation and the variable
for the rest of file. This if condition is used quite a few times in
the rh-postgresql.spec file.

I would like to share this with others. Hopefully, the author of the
spec file would fix it. So others won't suffer what I had to go through. 

Lisa


Expected results:


Additional info:
Comment 1 David Lawrence 2004-09-13 12:40:58 EDT
Changing component and product so proper developer will see this report.
Comment 2 Tom Lane 2004-09-22 19:01:05 EDT
I've removed the spaces in rh-postgresql-7.3.7-1.
Comment 3 John Flanagan 2004-12-20 12:54:14 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-489.html

Note You need to log in before you can comment on or make changes to this bug.